Page MenuHomePhabricator

Translate Instructor Basics: How to Use Wikipedia as a Teaching Tool into Traditional Chinese
Closed, ResolvedPublic

Event Timeline

Shangkuanlc claimed this task.
Shangkuanlc raised the priority of this task from to High.
Shangkuanlc updated the task description. (Show Details)
Shangkuanlc added a project: Education-Collab.
Restricted Application added a subscriber: Base. · View Herald TranscriptOct 13 2015, 3:09 AM

A bit confuse in the word "sub-articles" of the following sentence - "Don’t try to improve topics that are highly controversial, like
global warming, abortion, or Scientology. Contentious topics often lead to fights on Wikipedia. Students should be encouraged to start sub-articles instead."

What does the sub mean? A smaller scale of topic then the highly controversial ones?

Base added a comment.Oct 16 2015, 10:04 AM

I guess it actually covers simplified Chinese too?

I guess it actually covers simplified Chinese too?

Well, not really. Everything I use is in Traditional Chinese actually. But I use Chinese because there is a mechanism on all translation extension that we need to translate the Chinese one then we can translate Traditional or Simplified Chinese. So I pick that language button to start. But if someone can help on translate the Simplified one, he can use the button after I complete the Chinese version.

Shangkuanlc added a comment.EditedOct 17 2015, 5:18 AM

I am using adobe InDesign to edit the pdf file now, just documenting issues:

  1. Download InDesign zip file from here. There are two indd files inside the zip file. The "wp_edu_Basics_SHIP_6nov12_CS5 updated 24 march 2014.indd" use CS7 and I can't open it. I am editing "wp_edu_Basics_SHIP_6nov12_CS5.indd" for now. Hope no big changes between the two.
  2. I need to replace fonts. I follow the localization guideline of "Editing Wikipedia" and made the following adjustment -
    1. Replace the News Gothic series with sans serif font family, Kozuka Gothic Pro
      1. News Gothic BT -> Kozuka Gothic Pro B
      2. News Gothic BT Bold -> Kozuka Gothic Pro H
      3. News Gothic BT Demi -> Kozuka Gothic Pro M
      4. News Gothic BT Light -> Kozuka Gothic Pro R
    2. Replace the Plantin family with serif font family, Hiragano Mincho ProN
      1. Plantin -> Hiragano Mincho ProN W 6
      2. Plantin Light -> Hiragano Mincho ProN W 3
      3. Plantin MT Std -> Hiragino Mincho Pro W 3
      4. Plantin MT Std Regular -> Hiragino Mincho Pro W 3
      5. Plantin MT Std Bold -> Arial Regular
      6. Plantin MT Std Seimibold -> Arial Regular

Localization complete, version 1.0, haha!

Base added a comment.Oct 17 2015, 2:51 PM

@Shangkuanlc erm doesn't that automatic conversion between zh variants works? Or does it works badly? (Unfortunately I know no Chinese to assert it myself)

I guess it actually covers simplified Chinese too?

Well, not really. Everything I use is in Traditional Chinese actually. But I use Chinese because there is a mechanism on all translation extension that we need to translate the Chinese one then we can translate Traditional or Simplified Chinese. So I pick that language button to start. But if someone can help on translate the Simplified one, he can use the button after I complete the Chinese version.

Maybe @AddisWang have time?

@Shangkuanlc erm doesn't that automatic conversion between zh variants works? Or does it works badly? (Unfortunately I know no Chinese to assert it myself)

T106131#1481796, emn

@Shangkuanlc erm doesn't that automatic conversion between zh variants works? Or does it works badly? (Unfortunately I know no Chinese to assert it myself)

It will be very quickly for us to convert the script to simplified Chinese, based on the effort of traditional Chinese translation. We have very little demand on Mainland China so far since Chinese Wikipedia is inaccessible in mainland China.

@Shangkuanlc erm doesn't that automatic conversion between zh variants works? Or does it works badly? (Unfortunately I know no Chinese to assert it myself)

It will be very quickly for us to convert the script to simplified Chinese, based on the effort of traditional Chinese translation. We have very little demand on Mainland China so far since Chinese Wikipedia is inaccessible in mainland China.

Yes, just like Addis said, it will be really quick for converse it from Traditional into Simplified ones. However, just like Addis' comment, for now in mainland China might be hard to implement Wikipedia Education Program because Chinese Wikipedia is banned from the Great Fire Wall of China so instructors in mainland China would find it very difficult to use Wikipedia as an assignment for students. Very tough situation for Wikipedians in mainland China.

Shangkuanlc closed this task as Resolved.Oct 20 2015, 12:54 AM